![Shopigo](https://i.imgur.com/7Ctkn7X.png)

# Magento 2 Swiss Post extension by Shopigo

This extension makes Swiss Post shipping in Magento smart and easy, by implementing three new shipping methods:
- SwissPost Economy
- SwissPost Priority
- SwissPost Express

## Requirements

Magento Open Source Edition 2.2 or 2.3

## Installation

## Method 1 - Installing via composer

- Switch to your Magento project root
- Run `composer require shopigo/magento2-extension-swiss-post`

## Method 2 - Installing using archive

- Download [ZIP Archive](https://github.com/acharrex/magento2-extension-swiss-post/archive/master.zip)
- Switch to your Magento project root
- Create folder `app/code/Shopigo/SwissPost`
- Extract zip into path

### Enable extension

- Switch to your Magento project root
- Run the following commands to enable the module and clear static contents generated by Magento:
```
php bin/magento module:enable Shopigo_SwissPost
php bin/magento setup:upgrade
php bin/magento setup:di:compile
php bin/magento setup:static-content:deploy
```

## How to use it

- Log into your Magento back-office
- Go to the menu "Stores > Configuration > Sales > Shipping Methods"
- Expand the section "Swiss Post – Economy", "Swiss Post – Priority" or "Swiss Post – Express"
- Set the parameter "Enabled" to "Yes"
- Flush Magento caches from the menu "System > Tools > Cache Management"

## Screenshots

### Shipping methods in the checkout page

![Shipping methods in the checkout page](https://i.imgur.com/hWeZ8ax.jpg)

### Add a tracking number

![Add a tracking number](https://i.imgur.com/zEna74U.jpg)

### Track a shipment

![Track a shipment](https://i.imgur.com/3LLw45c.jpg)

### Parcel tracking

![Parcel tracking](https://i.imgur.com/d0VTECR.jpg)

### Settings

![Settings](https://i.imgur.com/kMNQloO.jpg)

## Support

If you have any issues, open a bug report in GitHub's [issue tracker](https://github.com/acharrex/magento2-extension-swiss-post/issues).

## Change logs

**Version 1.0.1** (2019-02-07)
- Fix composer.json for Magento 2.3

**Version 1.0.0** (2018-10-09)
- First version

## License

The code is licensed under [Open Software License ("OSL") v. 3.0](http://opensource.org/licenses/osl-3.0.php).

<br/>Enjoy!